Skip to main content
Resource Center/Resource Pool/VM Instance Operations
GETVM Instance OperationsSince 4.3.12SynchronousAuth Required

GetVmvNUMATopology

GetVmvNUMATopology

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The VM UUID.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • nameStringRequired

    The VM name.

  • uuidStringRequired

    The VM UUID.

  • hostUuidStringRequired

    The host UUID.

  • topologyarray[json]Required

    The vNUMA topology. For more information, see topology.

    • nodeIDintRequired

      The vNUMA node ID.

    • CPUsIDarray[string]Required

      The vCPU IDs in the vNUMA node.

    • phyNodeIDintRequired

      The pNUMA node ID.

    • distancearray[string]Required

      The distance information of the vNUMA node.

    • memSizelongRequired

      The memory size of the vNUMA node, in the unit of B.

Endpoint

GET/zstack/v1/vm-instances/{uuid}/vnuma-topology

/zstack/v1/vm-instances/{uuid}/vnuma-topology

Operation ID

GetVmvNUMATopology

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vm-instances/{uuid}/vnuma-topology' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "hostUuid": "7fd86bbe6ca94a8d810aa1d33e29932c", "topology": [ { "CPUsID": ["0", "1", "2", "3"], "distance": ["10", "21"], "nodeID": 0, "memSize": 1024, "phyNodeID": 0 }, { "CPUsID": ["4", "5", "6", "7"], "distance": ["21", "10"], "nodeID": 1, "memSize": 2048, "phyNodeID": 1 } ], "name": "vm0", "uuid": "71b30db8bca34e9191ed09bff2990e80" }

Change History

This API has no change history records yet.

View all change history